import QtQuick 2.0

Item {
    signal clicked
    property alias imgSrc: image.source
    property alias pressed: mouseArea.pressed
    property bool active: false

    height: image.sourceSize.height
    width: image.sourceSize.width

    Image {
        id: image
        height: parent.height
        width: parent.width
        anchors.horizontalCenter: parent.horizontalCenter
    }

    MouseArea {
        id: mouseArea
        anchors.fill: parent
        onClicked: {
            parent.clicked();
        }
    }
}
