var ctx;

function drawSolution(canvas, array){
    ctx = canvas.getContext('2d');
    ctx.fillStyle = "#fdc855";
    for(var i = 0; i < array.length-1; i++){
        ctx.fillRect(array[i].x, array[i].y, 1, 1);
    }
}
function send(solution, x, y){
    var distance = Number.POSITIVE_INFINITY;
    var tempD = 0;

    for(var i = 0; i < solution.length; i++){
        tempD = Math.sqrt(Math.pow(solution[i].x - x, 2) + Math.pow(solution[i].y - y, 2));
        if(tempD < distance)distance = tempD;
    }
    return distance;
}
WorkerScript.onMessage = function(message) {
    var calculatedResult = send(message.solution, message.x, message.y);
    WorkerScript.sendMessage({result: calculatedResult});
}
