import QtQuick 2.0
import "../images"

Item {
    property bool active: false
    property int imageSize: 0

    Image{
        id: mm2
        visible: false
        height: imageSize
        width: imageSize
        source:  "/images/images/mm.png"
    }
    Image{
        id: mm1
        visible: false
        height: imageSize
        width: imageSize
        source: "/images/images/mm2.png"
    }

    function offset(){
        return Math.sqrt(Math.pow(mm2.x - (mm1.x), 2) + Math.pow(mm1.y - (mm2.y), 2));
    }
    function getImage(){
        if(active){
            return mm1;
        }
        else{
            return mm2;
        }
    }
}
